Bug 58682 - Redundancy in 'loadkeys -h' output
Redundancy in 'loadkeys -h' output
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: console-tools (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-22 17:57 EST by Brent Fox
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-22 17:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Fox 2002-01-22 17:57:52 EST
Description of Problem:
The output of 'loadkeys -h' displays:

Usage: loadkeys [option...] [mapfile...]
valid options are:
  -c --clearcompose clear kernel compose table
  -d --default      load default keymap file
  -m --mktable      output a "defkeymap.c" to stdout
  -s --clearstrings clear kernel string table
  -q --quiet        be silent
  -v --verbose      report the changes
  -v --verbose      report more changes
  -h --help         display this help text and exit
  -V --version      display version information and exit

As you can see, there are two lines for "-v".  One of the should be removed.

Version-Release number of selected component (if applicable):
console-tools-19990829-36


How Reproducible:
always
Comment 1 Bernhard Rosenkraenzer 2002-01-22 18:15:52 EST
No, this is just what it says, try for yourself:

loadkeys -v de-latin1        <-- is rather verbose
loadkeys -v -v de-latin1     <-- is VERY verbose
Comment 2 Brent Fox 2002-01-23 10:25:40 EST
I see.  I would expect it to say something like:

-v --verbose      report the changes
-vv --verbose      report more changes

The way it's currently worded, it's not necessarily clear to the user that you
would need two "v's" to go into very verbose mode.  I think it's a little weird
to do 'loadkeys -v -v de-latin1' instead of 'loadkeys -vv de-latin1'.

Note You need to log in before you can comment on or make changes to this bug.